# Class UniformRandomTimer

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.timers.ConstantTimer
org.apache.jmeter.timers.RandomTimer
org.apache.jmeter.timers.UniformRandomTimer

All Implemented Interfaces:
  `Serializable, Cloneable, LoopIterationListener, Searchable, TestElement, Timer`

public class UniformRandomTimer extends RandomTimer implements Serializable
This class implements those methods needed by RandomTimer to be instantiable and implements a random delay with an average value and a uniformly distributed variation.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class RandomTimer

`random, RANGE`

### Fields inherited from class ConstantTimer

`DELAY`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`UniformRandomTimer()`

## Method Summary

Modifier and Type
Method
Description
`long`
`delay()`
Retrieve the delay to use during test execution.
`String`
`toString()`
Provide a description of this timer class.

### Methods inherited from class RandomTimer

`getRange, setRange, setRange`

### Methods inherited from class ConstantTimer

`getDelay, iterationStart, setDelay`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UniformRandomTimer

public UniformRandomTimer()

## Method Details

### delay

public long delay()
Description copied from class: `ConstantTimer`
Retrieve the delay to use during test execution.

Specified by:
  `delay` in interface `Timer`
Overrides:
  `delay` in class `ConstantTimer`
Returns:
  the delay.

### toString

public String toString()
Description copied from class: `ConstantTimer`
Provide a description of this timer class.

Overrides:
  `toString` in class `ConstantTimer`
Returns:
  the description of this timer class.